Obtenir tous les taux de change actuels
curl --request GET \
--url https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Taux de change
Get all current exchange rates
Récupérer tous les taux de change actuels pour toutes les paires de devises.
GET
/
settings
/
currencies
/
2026-03
/
exchange-rates
/
current
Obtenir tous les taux de change actuels
curl --request GET \
--url https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Réponse
successful operation
Un tableau d'objets de taux de change, chacun représentant les détails du taux de conversion entre deux devises.
Show child attributes
Show child attributes
Dernière modification le 6 octobre 2026